Bug 704839 - Low maximum volume with pulseaudio on kde
Low maximum volume with pulseaudio on kde
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
15
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-15 08:50 EDT by Sergio Monteiro Basto
Modified: 2012-08-07 12:55 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 479633
Environment:
Last Closed: 2012-08-07 12:55:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sergio Monteiro Basto 2011-05-15 08:50:12 EDT
+++ This bug was initially created as a clone of Bug #479633 +++

On Fedora 14, still every sound produced by my system has a very low volume, to the point that I had to crank up my speakers to full volume (something which I never had to do with Fedora 9) to hear music comfortably.

moreover,
I try hear some podcast, I put every sound control at 100% and can't hear well , I miss some parts ,
I call gnome-volume-control and is the only place that I cant put sound to 150% 
which is what I want, this is a laptop which sound is low by default. 
So, I want to know , how put pulseaduio to _not_ limit the sound.  



--- Additional comment from sergio@serjux.com on 2010-08-25 12:48:05 EDT ---

with gnome-volume-control put sound in 150 % to workaround ,
Low Maximum volume still happens on Fedora 13
Comment 1 Sergio Monteiro Basto 2011-06-10 21:23:27 EDT
 hi, gnome-volume-control shows that I can pass maximum volume at 50 % 
 I want that others apps like kmix also can scale sound to what now is 150%  

with pulseaudio daemon in verbose mode 

 D: alsa-sink.c: Requested volume: 0: 100% 1: 100%
 D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100%
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% (accurate-enough=yes)
 with gnome-volume-control
 D: alsa-sink.c: Requested volume: 0: 106% 1: 106%
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100%
 D: alsa-sink.c: Calculated software volume: 0: 106% 1: 106% (accurate-enough=no)

so software volume: 0: can pass 100% !? 

Someone shows that is possible using softvols 
http://www.webupd8.org/2009/08/increase-maximum-sound-level-in-ubuntu.html
and now I understand the is a problem only in kde that use kmix not gnome-volume-sound.
Comment 2 Sergio Monteiro Basto 2011-06-15 17:33:27 EDT
try again,
1st - edit /etc/pulse/client.conf
and change 
autospawn = no

2nd - killall pulseaudio

3rd - run on user env:
 pulseaudio -vvv 

lets test with kmix I see on pulseaudio logs at maximum : 

D: alsa-sink.c: Requested volume: 0: 100% 1: 100%
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100%
D: alsa-sink.c: Calculated software volume: 0: 100% 1: 100% (accurate-enough=yes)

with gnome-control-center -> sound I see on pulseaudio logs at maximum : 

D: protocol-native.c: Client gnome-control-center changes volume of sink alsa_output.pci-0000_00_1b.0.analog-stereo.
D: alsa-sink.c: Requested volume: 0: 153% 1: 153%
D: alsa-sink.c: Got hardware volume: 0: 100% 1: 100%
D: alsa-sink.c: Calculated software volume: 0: 153% 1: 153% (accurate-enough=no)

so how I put kmix also control "software volume" ? 
thanks,
Comment 3 Sergio Monteiro Basto 2011-07-11 14:12:40 EDT
we need implement some thing like 
http://alsa.opensrc.org/Softvol
Comment 4 Sergio Monteiro Basto 2011-08-31 11:01:46 EDT
Maybe ALSA team can help me ...
Comment 5 Fedora End Of Life 2012-08-07 12:55:52 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.